Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1510187 - Invalid symlinks in /etc/docker/certs.d
Summary: Invalid symlinks in /etc/docker/certs.d
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: docker
Version: epel7
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Lokesh Mandvekar
QA Contact: atomic-bugs@redhat.com
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-06 21:33 UTC by mhutter
Modified: 2019-01-03 08:57 UTC (History)
15 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-01-03 08:57:55 UTC


Attachments (Terms of Use)

Description mhutter 2017-11-06 21:33:26 UTC
Description of problem:

In #1428142, a symlink for /etc/docker/certs.d/registry.access.redhat.com/redhat-ca.crt was added. The target (/etc/rhsm/ca/redhat-uep.pem) however does not exist.

This leads to an error message from the docker daemon when pulling images from the regstry (ie `docker pull registry.access.redhat.com/rhel7/etcd:latest`).


Version-Release number of selected component (if applicable): docker-1.12.6-61.git85d7426.el7.centos.x86_64


How reproducible:


Steps to Reproduce:
1. Install `docker-1.12.6-61`
2. restart docker
3. docker pull registry.access.redhat.com/rhel7/etcd:latest

Actual results:
Error message saying `/etc/docker/certs.d/registry.access.redhat.com/redhat-ca.crt` cannot be opened

Expected results:
Successful image pull.

Additional info:
`yum whatprovides` says the UEP certificate comes from the `python-rhsm-certificates` package. This is however not a dependency of docker.

I can't say what exactly is broken; the symlink in the docker package or the dependencies of the docker package.

Comment 2 mhutter 2017-11-06 22:14:43 UTC
ooops, this affects the CentOS distribution, hence Product should be "Fedora EPEL"

I cannot change the Product myself

Comment 3 Micah Abbott 2017-11-07 14:20:38 UTC
Updated Product to 'Fedora EPEL' per comment#2

Comment 4 Lokesh Mandvekar 2019-01-02 14:16:45 UTC
@mhutter, actually centos bugs should be filed on bugs.centos.org . But anyway, do you still see the issue with the latest (rpm-wise) docker build on CentOS Extras?

Comment 5 mhutter 2019-01-03 08:57:55 UTC
@Lokesh Indeed! It was my impression that docker was installed from the EPEL repository, however it's actually in the EXTRAS repo.

Checking bugs.centos.org there is already an Issue for the problem described here: https://bugs.centos.org/view.php?id=14785

Updated said ticket with the relevant information and closed this one.


Note You need to log in before you can comment on or make changes to this bug.